{% extends "base.html.twig" %}
{% block body %}
    {% include 'topbar/choix_topbar2.html.twig' %}
    <div class="container" style="margin-top: 0; padding-top: 0">
        <header class="page-header" style="margin-top: 0; padding-top: 0">
            <h3>Déclarer un suppléant</h3>
        </header>
        <div class="row col-md-12">
            <form class="form-inline" method="POST">
                <div class="form-group">
                    <label>Date début</label>
                    <input name="date_debut" class="form-control" type="date" required {% if suppleance %}value="{{ suppleance.date_debut|date('Y-m-d') }}{% endif %}">
                </div>
                <div class="form-group" style="margin-left: 20px">
                    <label>Date fin</label>
                    <input name="date_fin" class="form-control" type="date" {% if suppleance.date_fin %} value="{{ suppleance.date_fin|date('Y-m-d') }}{% endif %}">
                </div>
                <div>
                    <div class="form-group">
                        <label>Nom du suppléant</label>
                        <input name="nom_suppleant" id="nom_supp" class="form-control" type="text" value="{{ suppleance.nom_suppleant }}"><input type="hidden" name="id_suppleant" value="{{ suppleance.id_suppleant }}">
                    </div>
                </div>
                <button class="btn btn-gaia">Valider</button> {% if suppleance %}<a href="{{base_url}}/main/supp_suppleance"><button type="button" class="btn btn-gaia">Annuler suppléance</button>{% endif %}
            </form>
        </div>
    </div>
    <script>
        list = [];
        var url = "{{ ajax_url }}/ajax_c/listUsers";
        $.ajax(url).done(function (data) {
            var json = JSON.parse(data);
            json.forEach(function (d) {
                var elem = new Object();
                elem.label = d.prenom + " " + d.nom;
                elem.value = d.id_utilisateur;
                list.push(elem);
            });
        });
        $("#nom_supp").autocomplete({
            source: list,
            select: function (event, ui) {
                event.preventDefault();
                console.log($(this));
                $(this).val(ui.item.label);
                $(this).next('input').val(ui.item.value);
            }
        });

        $("#nom_supp").change(function () {
            if ($(this).val() == "") {
                $(this).next('input').val("");
            }
        })
    </script>
{% endblock %}